package com.install4j.api.actions;

import com.install4j.api.beans.AbstractBean;
import com.install4j.api.context.Context;
import com.install4j.api.context.InstallerContext;

/**
 * Abstract base class for install actions.
 * The <tt>rollback</tt> method does nothing by default. Override it in your action to perform an actual rollback.
 *
 * @author ej-technologies GmbH
 */
public abstract class AbstractInstallAction extends AbstractBean implements InstallAction {

    public void rollback(InstallerContext context) {
    }

    public void init(Context context) {        
    }

    public boolean isRollbackSupported() {
        return true;
    }
}
